### RStudioExercisesAnswers.R
### Cori Mar
### October 2018

### 1. Read the data file example2.dat and answer the following questions.

the.data <- read.table(file="example2.dat", header=TRUE)

### 2. a. How many variables are in the data?

ncol(the.data)
# > ncol(the.data)
# [1] 2

### b. What are the names of the variables?

names(the.data)
# > names(the.data)
# [1] "yrs"   "happy"

### c. How many cases are in the data?

nrow(the.data)
# > nrow(the.data)
# [1] 100

### d. Print out cases 50 through 60.

the.data[50:60, ] 
# > the.data[50:60, ]
# yrs   happy
# 50   7 19.0773
# 51  10 20.4393
# 52  16 20.2455
# 53  15 22.8212
# 54  16 27.7986
# 55  24 18.8662
# 56  14 14.5189
# 57   6 21.0589
# 58  14 23.2751
# 59  10 25.3203
# 60  15 21.7294

### e. Print out the values of the variable in the second column for cases 15 through 20.

the.data[15:20,2]
# > the.data[15:20,2]
# [1] 20.4796 23.0286 19.5692 24.2943 25.7817 25.3009

### 3. What is the mean of column 1?
mean(the.data[ ,1], na.rm=TRUE)
# > mean(the.data[ ,1], na.rm=TRUE)
# [1] 12.25

### 4. What is the median of column 2?
median(the.data[ ,2], na.rm=TRUE)
# > median(the.data[ ,2], na.rm=TRUE)
# [1] 21.7042

### 5. Plot yrs (years of education) on the x-axis versus happy (happiness) on the y-axis
plot(the.data$yrs,the.data$happy)

### 6. Fit a linear regression model to the data with happy as the dependent variable
fit <- lm(happy ~ yrs, data=the.data)
summary(fit)
# > summary(fit)
# 
# Call:
#   lm(formula = happy ~ yrs, data = the.data)
# 
# Residuals:
#   Min       1Q   Median       3Q      Max 
# -16.9890  -2.5429   0.3025   3.3167   7.8584 
# 
# Coefficients:
#   Estimate Std. Error t value Pr(>|t|)    
# (Intercept) 16.11834    1.28422  12.551  < 2e-16 ***
#   yrs          0.42271    0.09813   4.308 3.92e-05 ***
#   ---
#   Signif. codes:  0 ‘***’ 0.001 ‘**’ 0.01 ‘*’ 0.05 ‘.’ 0.1 ‘ ’ 1
# 
# Residual standard error: 4.519 on 98 degrees of freedom
# Multiple R-squared:  0.1592,	Adjusted R-squared:  0.1506 
# F-statistic: 18.56 on 1 and 98 DF,  p-value: 3.923e-05

### 7. Add  a new variable to this data frame called "yrs_squared" equal to yrs^2. 
###    Do something to check that this worked.

the.data$yrs2 <- the.data$yrs^2
# > head(the.data)
# yrs   happy yrs2
# 1  10 21.6532  100
# 2  12 20.2488  144
# 3  12 28.8347  144
# 4   8 13.9754   64
# 5  11 26.5029  121
# 6  15 22.3995  225

### 8. Fit another linear regression model to the data with happy 
###    as predicted by yrs and yrs^2.

fit2 <- lm(happy ~ yrs + yrs2, data=the.data)
summary(fit2)
# > summary(fit2)
# 
# Call:
#   lm(formula = happy ~ yrs + yrs2, data = the.data)
# 
# Residuals:
#   Min      1Q  Median      3Q     Max 
# -9.5845 -1.9986  0.0806  1.8949  6.0656 
# 
# Coefficients:
#   Estimate Std. Error t value Pr(>|t|)    
# (Intercept)  1.468328   1.748898   0.840    0.403    
# yrs          2.987385   0.270221  11.055  < 2e-16 ***
# yrs2        -0.097900   0.009965  -9.825  3.2e-16 ***
# ---
# Signif. codes:  0 ‘***’ 0.001 ‘**’ 0.01 ‘*’ 0.05 ‘.’ 0.1 ‘ ’ 1
# 
# Residual standard error: 3.216 on 97 degrees of freedom
# Multiple R-squared:  0.5786,	Adjusted R-squared:  0.5699 
# F-statistic: 66.58 on 2 and 97 DF,  p-value: < 2.2e-16
 
###### This model fits better

### 9.  Create a new data frame set of only those cases where yrs<=12 
###     (less or equal to 12 years of education).

new.data <- subset(the.data, yrs<=12)

### How many cases in this data set?
nrow(new.data)
# > nrow(new.data)
# [1] 57

### 10. Save this new data frame to a .csv file.
write.csv(new.data, file="example2.educyrs12.csv", quote=FALSE, row.names=FALSE)


